Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GetupEngineInterfaces Class Reference

Interfaces of the GetupEngine module. More...

`#include <GetupEngine.h>`

Inheritance diagram for GetupEngineInterfaces:

[legend]
Collaboration diagram for GetupEngineInterfaces:

[legend]
List of all members.

## Public Member Functions
| GetupEngineInterfaces (const MotionRequest::MotionID &lastMotionType, const SensorDataBuffer &sensorDataBuffer, const MotionRequest &motionRequest, const BodyPosture &bodyPosture, PIDData &pidData, OdometryData &odometryData, MotionInfo &motionInfo)
| Constructor.
## Protected Attributes
const MotionRequest::MotionID & | lastMotionType
| The motion type of the previous frame.
const SensorDataBuffer & | sensorDataBuffer
| The current sensor data.
const MotionRequest & | motionRequest
| The current motion request.
const BodyPosture & | bodyPosture
| The current body posture.
PIDData & | pidData
| The current PID servo gains.
OdometryData & | odometryData
| Calculated odometry data.
MotionInfo & | motionInfo
| The neck height and the body tilt to be estimated by the getup engine.

## Detailed Description

Interfaces of the GetupEngine module.

Definition at line 26 of file GetupEngine.h.

## Constructor & Destructor Documentation

GetupEngineInterfaces::GetupEngineInterfaces | ( | const MotionRequest::MotionID & | lastMotionType,
|  | const SensorDataBuffer & | sensorDataBuffer,
|  | const MotionRequest & | motionRequest,
|  | const BodyPosture & | bodyPosture,
|  | PIDData & | pidData,
|  | OdometryData & | odometryData,
|  | MotionInfo & | motionInfo
| ) | `[inline]`

| Constructor. Definition at line 30 of file GetupEngine.h.

## Member Data Documentation

const MotionRequest::MotionID& GetupEngineInterfaces::lastMotionType`[protected]`

| The motion type of the previous frame. Definition at line 48 of file GetupEngine.h.

const SensorDataBuffer& GetupEngineInterfaces::sensorDataBuffer`[protected]`

| The current sensor data. Definition at line 51 of file GetupEngine.h.

const MotionRequest& GetupEngineInterfaces::motionRequest`[protected]`

| The current motion request. Definition at line 54 of file GetupEngine.h.

const BodyPosture& GetupEngineInterfaces::bodyPosture`[protected]`

| The current body posture. Definition at line 57 of file GetupEngine.h.

PIDData& GetupEngineInterfaces::pidData`[protected]`

| The current PID servo gains. Definition at line 60 of file GetupEngine.h.

OdometryData& GetupEngineInterfaces::odometryData`[protected]`

| Calculated odometry data. Definition at line 63 of file GetupEngine.h.

MotionInfo& GetupEngineInterfaces::motionInfo`[protected]`

| The neck height and the body tilt to be estimated by the getup engine. Definition at line 66 of file GetupEngine.h.

The documentation for this class was generated from the following file:

- Modules/GetupEngine/GetupEngine.h